#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kalk
Version: 25.07.80
Release:        %mkrel %{rel}
Summary:        Convergent calculator for Plasma
Group:          Graphical desktop/KDE
License:        GPLv3+
Url:            https://apps.kde.org/kalk/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6UnitConversion)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libqalculate) > 4.7.0
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

Requires:       kirigami
Requires:       qt6-qtdeclarative
Requires:       qt6-qt5compat

%description
Kalk is a convergent calculator application built with the
Kirigami framework. Although it is mainly targeted for
mobile platforms, it can also be used on the desktop.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 25.07.80-1.mga10
+ Revision: 2253937
- New version 25.07.80

* Thu Jun 05 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2188378
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2175951
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170731
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163415
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147103
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136503
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123742
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116935
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113989
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105488
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097347
- New version 24.08.1

* Thu Aug 29 2024 mrambo3501 <mrambo3501> 24.08.0-2.mga10
+ Revision: 2092158
- rebuild for new qalculate

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087550
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085036
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073154
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069744
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058554
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045100
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037598
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033726
- New version 24.01.90

* Wed Jan 03 2024 daviddavid <daviddavid> 24.01.85-1.mga10
+ Revision: 2026999
- add missing runtime dependencies
+ neoclust <neoclust>
- New version 24.01.85

* Tue Nov 21 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2008555
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990009
- New version 23.08.1

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959971
- initial package kalk

